<?php
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
 
class plgSystemDomainredirect extends JPlugin
{
/**
 * @access      protected
 * @param       object  $subject The object to observe
 * @param       array   $config  An array that holds the plugin configuration
 */

    public function __construct(& $subject, $config)
    {
            parent::__construct($subject, $config);
            $this->loadLanguage();
    }

    public $version = "1.0.2";

    function onAfterInitialise()
    {

        $targetdomain = $this->params->get('target_domain'); 

        // Check http presence and disable if it is there 
        if(substr($targetdomain,0,5)=="http:")  {
            JFactory::getApplication()->enqueueMessage(JText::_('TGERROR'), 'error');
            $targetdomain="";
        }

        $notforadmin = $this->params->get('notforadmin'); 
        $isadmin = (substr($_SERVER['REQUEST_URI'],0,14)=="/administrator") ? 1 : 0;

        if($targetdomain=="") {
            return true; 
            } else if($_SERVER['HTTP_HOST']!=$targetdomain && ($notforadmin == 0 || $isadmin == FALSE)) {
                header('HTTP/1.1 301 Moved Permanently');
                header('Location:http://'.$targetdomain.$_SERVER['REQUEST_URI']); 
                header('Connection: close');
                jexit(); 
                //JFactory::getApplication()->enqueueMessage('Redirect from '.$_SERVER['HTTP_HOST'].'to '.$targetdomain);
            }
        return true;
    }
}
?>